Retrieve all VPC peerings

View as Markdown

Get all VPC peerings. Tenant Admin can get all peerings where the tenant owns at least one VPC. Provider Admin can retrieve all multi-Tenant VPC Peerings. It should be noted that only Provider Admins can create multi-Tenant Peerings. User must have authorization role with TENANT_ADMIN or PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Optional Site ID filter. If provided, caller must have access to the specified Site.
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderBystringOptional
Ordering for pagination query
isMultiTenantbooleanOptional

Optional filter by peering tenancy type (single-tenant or multi-tenant).

statusenumOptional
Optional filter by peering status. Repeat the parameter to match multiple statuses.
vpcIdstringOptionalformat: "uuid"
Optional filter by VPC ID involved in the peering as either vpc1 or vpc2. Repeat the parameter to match multiple VPCs.
peerTenantIdstringOptionalformat: "uuid"
Optional filter by tenant ID of a VPC involved in the peering. Repeat the parameter to match multiple tenants.
includeRelationenumOptional
Related entity to expand
Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier of the VPC peering
vpc1IdstringOptionalRead-onlyformat: "uuid"
ID of the first VPC in the peering
vpc1objectOptional
Summary of the first VPC in the peering.
vpc2IdstringOptionalRead-onlyformat: "uuid"
ID of the second VPC in the peering
vpc2objectOptional
Summary of the second VPC in the peering.
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the Site where the peering exists
siteobjectOptional
Summary of the Site where the peering exists.
tenantIdstringOptionalRead-onlyformat: "uuid"
ID of the tenant that created the VPC peering.
tenantobjectOptional
Summary of the tenant that created the VPC peering.
isMultiTenantbooleanOptionalRead-only

Indicates if this is a multi-tenant peering (VPCs from different tenants)

statusenumOptional
Status of the VPC peering
createddatetimeOptionalRead-only
Date and time when the VPC peering was created
updateddatetimeOptionalRead-only
Date and time when the VPC peering was last updated

Errors

400
Bad Request Error
403
Forbidden Error